---
updatedAt: 2026-07-07T07:30:01.000Z
agentTools:
  projectIndex: https://partner-docs.gupshup.io/llms.txt
---

# Get Partner Token

This API endpoint enables partners to authenticate and login to the Partner Portal system. It supports API-based login (with JWT tokens). The endpoint validates credentials, generates authentication tokens, and returns comprehensive partner information including permissions, billing details, and feature flags.

<Callout icon="📘" theme="info">
  ###

  Note:

  The partner token will be used as authorization in other Partner APIs. Currently, the expiry for the token is **24 hours**.

  Rate limit is 10 requests per 60 seconds
</Callout>

<br />

### Request Parameters

| Key    | Value              | Description                                                   |
| :----- | :----------------- | :------------------------------------------------------------ |
| Email  | {{EMAIL}}          | Email address through partner has signed up on partner portal |
| Secret | {{CLIENT\_SECRET}} | Client Secret set by the partner on the partner portal        |

### Sample Request

```curl
curl --location --request POST 'https://partner.gupshup.io/partner/account/login' \
--header 'Accept: application/json' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'email={{EMAIL}}' \
--data-urlencode 'secret={{CLIENT_SECRET}}'
```

### Sample Response

```json
{
  "token": "{{PARTNER_TOKEN}}",
  "id": 1**3,
  "name": "gupshup",
  "terms_read": true,
  "admin": true,
  "email": "peter.parker@zylker.com",
  "activationRead": false,
  "billingType": "PREPAID",
  "contactName": "peter",
  "phoneNumber": "898",
  "enableCustomer": false,
  "enableWallet": true,
  "enableInrWallet": false,
  "enableLoaderWallet": false,
  "enableAppOnboarding": true,
  "isTpp": false,
  "onboardEnabled": false
}
```

<br />

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Token Apis",
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://partner.gupshup.io"
    }
  ],
  "paths": {
    "/partner/account/login": {
      "post": {
        "tags": [
          "Partner"
        ],
        "summary": "Get Partner Token",
        "requestBody": {
          "content": {
            "application/x-www-form-urlencoded": {
              "schema": {
                "type": "object",
                "required": [
                  "email",
                  "password"
                ],
                "properties": {
                  "email": {
                    "type": "string",
                    "description": "Partner email"
                  },
                  "password": {
                    "type": "string",
                    "description": "Password"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                },
                "example": {
                  "activationRead": false,
                  "admin": false,
                  "billingType": "PREPAID",
                  "contactName": "John Smith",
                  "email": "john.smith@gupshup.io",
                  "enableCustomer": true,
                  "enableInrWallet": true,
                  "enableLoaderWallet": true,
                  "enableWallet": true,
                  "id": 1368,
                  "name": "Rahul Shinde",
                  "phoneNumber": "1234567890",
                  "terms_read": true,
                  "token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJwYXlsb2FkIjoie1wiaWRcIjoxMzY4LFwiYWRtaW5cIjpmYWxzZSxcImVtYWlsXCI6XCJyYWh1bC5zaGluZGVAZ3Vwc2h15pb1wifSIsImlzcyI6ImF1dGgwIiwiZXhwIjoxNjk3MDAxNTEzLCJpYXQiOjE2OTY5MTUxMTN9.IY5x73LU2plCb0Bhin_KfWuYx-68UQ08Cc8UaoZzbCI"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "examples": {
                  "Account does not exist": {
                    "value": {
                      "status": "error",
                      "message": "Account Does not exist"
                    }
                  },
                  "Failed to authenticate": {
                    "value": {
                      "status": "error",
                      "message": "Failed to authenticate"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "$ref": "#/components/responses/500"
          }
        },
        "description": "This API endpoint enables partners to authenticate and login to the Partner Portal system. It supports API-based login (with JWT tokens). The endpoint validates credentials, generates authentication tokens, and returns comprehensive partner information including permissions, billing details, and feature flags."
      }
    }
  },
  "components": {
    "responses": {
      "500": {
        "description": "Internal server error",
        "content": {
          "application/json": {
            "example": {
              "message": "Internal Server Error. Please contact Gupshup team",
              "status": "error"
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```